## SMS System

This is a service which is used for sending SMS messages.

The module location: `web/modules/custom/smssystem`.

It has an internal drupal service for this purpose. Here are examples:

```php
$sms_service = \Drupal::service('smssystem.send_sms');

// Send a simple sms to a recipient with a message.
$sms_service->sendSms('+37369123456', 'Hello!');

// Send a sms to a recipient with a given template.
// Available templates are here: http://generic-indrivo.local.com/admin/config/system/smssystem/templates/list
$sms_service->sendSmsByTemplate('order_completed', '+37369123456');

// Send an SMS to the queue. The queue name "sms_send_processing".
$sms_service->sendSms('+37369123456', 'Hello!', TRUE);
$sms_service->sendSmsByTemplate('+37369123456', 'Hello!', TRUE);
```

Configuration:

* Admin main config page: `http://generic-indrivo.local.com/admin/config/system/smssystem`
* Admin API config page: `http://generic-indrivo.local.com/admin/config/system/smssystem/api`
* SMS Message templates page: `http://generic-indrivo.local.com/admin/config/system/smssystem/templates/list`
* Reporting page: `http://generic-indrivo.local.com/admin/config/system/smssystem/reporting`
* SMS Queue list page: `http://generic-indrivo.local.com/admin/structure/smssystem/sms-queue-list`
